#define DOCTEST_CONFIG_NO_MULTITHREADING
#define DOCTEST_CONFIG_IMPLEMENT_WITH_MAIN
#include "doctest.h"
#include "histogram_internal.h"
#include "svg.h"

TEST_CASE("distinct positive numbers") {
    double min = 0;
    double max = 0;
    find_minmax({1, 2}, min, max);
    CHECK(min == 1);
    CHECK(max == 2);
}
TEST_CASE("distinct negative numbers") {
    double min = -1;
    double max = -1;
    find_minmax({-1, -2}, min, max);
    CHECK(min == -2);
    CHECK(max == -1);
}
TEST_CASE("one number") {
    double min = 0;
    double max = 0;
    find_minmax({1}, min, max);
    CHECK(min == 1);
    CHECK(max == 1);
}
TEST_CASE("same numbers") {
    double min = 0;
    double max = 0;
    find_minmax({2, 2}, min, max);
    CHECK(min == 2);
    CHECK(max == 2);
}





TEST_CASE("Image height < column height") {
    double COLUMN_height = 220000;
    COLUMN_hight_function(COLUMN_height ,5,{23,5,54,6,7});
    CHECK(COLUMN_height == 140  );

}

TEST_CASE("Image height > column height ") {
    double COLUMN_height = 100;
    COLUMN_hight_function(COLUMN_height ,5,{23,5,54,6,7});
    CHECK(COLUMN_height == 100   );

}

